# Uses of Class
org.eclipse.jdt.core.dom.FileASTRequestor

Packages that use FileASTRequestor
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of FileASTRequestor in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom with parameters of type FileASTRequestor
Modifier and Type
Method
Description
`void`
ASTParser.`createASTs(String[] sourceFilePaths, String[] encodings, String[] bindingKeys, FileASTRequestor requestor, org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates ASTs for a batch of compilation units.